Returns the event with the given update_id
GET
Returns the event with the given update_id. An event bears some combination of a transaction, a contract reassignment, and a verdict.
Protocol Details
Inputs
Path parameters
string
required
Query parameters
object
OpenAPI type:
DamlValueEncoding.Outputs
200
application/json
UpdateHistoryItemV2
An individual item in the update history. May be a transaction or a contract reassignment.
EventHistoryVerdict
EventHistoryTrafficSummary
Traffic summary data from the sequencer for the confirmation request corresponding to an event.
EventHistoryAppActivityRecords
App activity record computed from verdicts and traffic summaries as per CIP-104.
400
application/json
string
required
404
application/json
string
required
500
application/json
string
required
History
Changed
0.6.10The GET /v0/events/{update_id} operation changed in this snapshot.
Changed
0.6.0The GET /v0/events/{update_id} operation changed in this snapshot.
Changed
0.5.17The GET /v0/events/{update_id} operation changed in this snapshot.
Changed
0.5.15The GET /v0/events/{update_id} operation changed in this snapshot.
Introduced
0.5.10